<template>
  <base-container v-if="isAuth" title="Vuex">
    <the-counter />
    <favorite-value></favorite-value>
    <button @click="addOne">Add 10</button>
    <change-counter></change-counter>
  </base-container>
  <base-container title="Auth">
    <user-auth></user-auth>
  </base-container>
</template>

<script>
import BaseContainer from './components/BaseContainer.vue';
import TheCounter from '@/components/TheCounter.vue';
import ChangeCounter from '@/components/ChangeCounter.vue';
import FavoriteValue from '@/components/FavoriteValue.vue';
import UserAuth from '@/components/UserAuth.vue';

export default {
  components: {
    FavoriteValue,
    ChangeCounter,
    TheCounter,
    BaseContainer,
    UserAuth
  },
  methods: {
    addOne() {
      // this.$store.commit('increase', { value: 10 })
      this.$store.dispatch({
          type: 'counter/increase',
          value: 10
        });
    }
  },
  computed: {
    isAuth() {
      return this.$store.getters.userIsAuthenticated
    }
  }
};
</script>

<style>
* {
  box-sizing: border-box;
}

html {
  font-family: sans-serif;
}

body {
  margin: 0;
}
</style>